Bug 97108 - (NET TUX PATCH)kernel-source can't be compilled without network support
Summary: (NET TUX PATCH)kernel-source can't be compilled without network support
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-10 14:46 UTC by Grigory Bakunov
Modified: 2007-04-18 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Grigory Bakunov 2003-06-10 14:46:47 UTC
Description of problem:
Kernel-sources can't be compilled if you set CONFIG_NET line to
# CONFIG_NET is not set
in .config file
Looks like it's a bug in tux webserver kernel patch.

Additional info:

Denis Dementiev (denm@asplinux.ru) provide short patch for it:
--- linux-2.4.20-9asp.orig/net/socket.c	2003-04-29 16:39:53.000000000 +0400
+++ linux-2.4.20-9asp/net/socket.c	2003-06-09 12:16:25.000000000 +0400
@@ -83,7 +83,9 @@
 
 #include <net/sock.h>
 #include <net/scm.h>
+#if defined(CONFIG_NET)
 #include <net/tux.h>
+#endif
 #include <linux/netfilter.h>
 
 static int sock_no_open(struct inode *irrelevant, struct file *dontcare);

Comment 1 Bugzilla owner 2004-09-30 15:41:05 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.